NXWidgets: NxWM Struct Reference

NXWidgets 1.19

Public Types | Public Attributes | Static Public Attributes | List of all members
NxWM Struct Reference
Inheritance diagram for NxWM:

## Public Types
enum | EStartWindowMessageOpcodes { MSGID_POSITIONAL_CHANGE = 1, MSGID_REDRAW_REQUEST, MSGID_MOUSE_INPUT, MSGID_KEYBOARD_INPUT, MSGID_DESTROY_APP }
enum | EKeyType { KEY_NONE = 0, KEY_VALUE, KEY_NOT, KEY_NEGATE, KEY_XOR, KEY_DIVIDE, KEY_RSH, KEY_LSH, KEY_MULTIPLY, KEY_AND, KEY_OR, KEY_MINUS, KEY_PLUS, KEY_EQUAL, KEY_DECIMAL, KEY_HEXADECIMAL, KEY_MRECALL, KEY_MPLUS, KEY_MMINUS, KEY_MCLR, KEY_CLRENTRY, KEY_CLR }

## Public Attributes
FAR const char * | g_startWindowMqName = CONFIG_NXWM_STARTWINDOW_MQNAME
const struct NXWidgets::SRlePaletteBitmap | g_calculatorBitmap
const struct NXWidgets::SRlePaletteBitmap | g_calibrationBitmap
const struct NXWidgets::SRlePaletteBitmap | g_cmdBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mediaplayerBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mplayerFwdBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mplayerPlayBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mplayerPauseBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mplayerRewBitmap
const struct NXWidgets::SRlePaletteBitmap | g_mplayerVolBitmap
const struct NXWidgets::SRlePaletteBitmap | g_minimizeBitmap
const struct NXWidgets::SRlePaletteBitmap | g_playBitmap
const struct NXWidgets::SRlePaletteBitmap | g_stopBitmap
| CONFIG_NXWIDGETS_BPP
| CONFIG_NXWIDGETS_FMT
| BITMAP_NLUTCODES
| BITMAP_NCOLUMNS
| BITMAP_NROWS
| BITMAP_PALETTESIZE
| BITMAP_WIDTH
| BITMAP_HEIGHT
| FORWARD_BITMAP_NCOLUMNS
| FORWARD_BITMAP_NROWS
| PLAY_BITMAP_NCOLUMNS
| PLAY_BITMAP_NROWS
| REWIND_BITMAPNCOLUMNS
| REWIND_BITMAPNROWS
| PAUSE_BITMAP_NCOLUMNS
| PAUSE_BITMAP_NROWS

## Static Public Attributes
static FAR const char * | g_labels [NXWM_HEXCALCULATOR_NCOLUMNS *NXWM_HEXCALCULATOR_NROWS]
static struct SKeyDesc | g_keyDesc [NXWM_HEXCALCULATOR_NCOLUMNS *NXWM_HEXCALCULATOR_NROWS]
static struct SNxTerm | g_nxtermvars

## Detailed Description

Definition at line 179 of file glyph_calculator24x25.cxx.

## Member Enumeration Documentation

## ◆ EKeyType

enum NxWM::EKeyType

This enumeration value describes a key

Enumerator
KEY_NONE |
KEY_VALUE |
KEY_NOT |
KEY_NEGATE |
KEY_XOR |
KEY_DIVIDE |
KEY_RSH |
KEY_LSH |
KEY_MULTIPLY |
KEY_AND |
KEY_OR |
KEY_MINUS |
KEY_PLUS |
KEY_EQUAL |
KEY_DECIMAL |
KEY_HEXADECIMAL |
KEY_MRECALL |
KEY_MPLUS |
KEY_MMINUS |
KEY_MCLR |
KEY_CLRENTRY |
KEY_CLR |

Definition at line 69 of file chexcalculator.cxx.

## ◆ EStartWindowMessageOpcodes

enum NxWM::EStartWindowMessageOpcodes

Start window message opcodes and format

Enumerator
MSGID_POSITIONAL_CHANGE | Change in window positional data (not used)
MSGID_REDRAW_REQUEST | Request to redraw a portion of the window (not used)
MSGID_MOUSE_INPUT | New mouse input is available
MSGID_KEYBOARD_INPUT | New keyboard input is available
MSGID_DESTROY_APP | Destroy the application

Definition at line 74 of file cstartwindow.hxx.

## Member Data Documentation

## ◆ BITMAP_HEIGHT

NxWM::BITMAP_HEIGHT

Definition at line 157 of file glyph_mediaplayer24x24.cxx.

## ◆ BITMAP_NCOLUMNS

NxWM::BITMAP_NCOLUMNS

Definition at line 181 of file glyph_calculator24x25.cxx.

## ◆ BITMAP_NLUTCODES

NxWM::BITMAP_NLUTCODES

Definition at line 181 of file glyph_calculator24x25.cxx.

## ◆ BITMAP_NROWS

NxWM::BITMAP_NROWS

Definition at line 181 of file glyph_calculator24x25.cxx.

## ◆ BITMAP_PALETTESIZE

NxWM::BITMAP_PALETTESIZE

Definition at line 157 of file glyph_mediaplayer24x24.cxx.

## ◆ BITMAP_WIDTH

NxWM::BITMAP_WIDTH

Definition at line 157 of file glyph_mediaplayer24x24.cxx.

## ◆ CONFIG_NXWIDGETS_BPP

NxWM::CONFIG_NXWIDGETS_BPP

Definition at line 181 of file glyph_calculator24x25.cxx.

## ◆ CONFIG_NXWIDGETS_FMT

NxWM::CONFIG_NXWIDGETS_FMT

Definition at line 181 of file glyph_calculator24x25.cxx.

## ◆ FORWARD_BITMAP_NCOLUMNS

NxWM::FORWARD_BITMAP_NCOLUMNS

Definition at line 339 of file glyph_mplayer_controls43x41.cxx.

## ◆ FORWARD_BITMAP_NROWS

NxWM::FORWARD_BITMAP_NROWS

Definition at line 339 of file glyph_mplayer_controls43x41.cxx.

## ◆ g_calculatorBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_calculatorBitmap

Definition at line 60 of file nxwmglyphs.hxx.

## ◆ g_calibrationBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_calibrationBitmap

Definition at line 61 of file nxwmglyphs.hxx.

## ◆ g_cmdBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_cmdBitmap

Definition at line 62 of file nxwmglyphs.hxx.

## ◆ g_keyDesc

struct SKeyDesc NxWM::g_keyDesc[NXWM_HEXCALCULATOR_NCOLUMNS *NXWM_HEXCALCULATOR_NROWS]
| static

This array manages the behavior when each key is pressed

Definition at line 140 of file chexcalculator.cxx.

## ◆ g_labels

FAR const char* NxWM::g_labels[NXWM_HEXCALCULATOR_NCOLUMNS *NXWM_HEXCALCULATOR_NROWS]
| static

Initial value:
=
{
"MR", "M+", "M-", "MC", "CE", "C",
"A", "B", "C", "D", "E", "F",
"NOT", "XOR", "7", "8", "9", "/",
"RSH", "LSH", "4", "5", "6", "*",
"AND", "OR", "1", "2", "3", "-",
"DEC", "HEX", "+/-", "0", "=", "+"
}

This array provides the possible labels for each key

Definition at line 126 of file chexcalculator.cxx.

## ◆ g_mediaplayerBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mediaplayerBitmap

Definition at line 64 of file nxwmglyphs.hxx.

## ◆ g_minimizeBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_minimizeBitmap

Definition at line 71 of file nxwmglyphs.hxx.

## ◆ g_mplayerFwdBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mplayerFwdBitmap

Definition at line 65 of file nxwmglyphs.hxx.

## ◆ g_mplayerPauseBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mplayerPauseBitmap

Definition at line 67 of file nxwmglyphs.hxx.

## ◆ g_mplayerPlayBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mplayerPlayBitmap

Definition at line 66 of file nxwmglyphs.hxx.

## ◆ g_mplayerRewBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mplayerRewBitmap

Definition at line 68 of file nxwmglyphs.hxx.

## ◆ g_mplayerVolBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_mplayerVolBitmap

Definition at line 69 of file nxwmglyphs.hxx.

## ◆ g_nxtermvars

struct SNxTerm NxWM::g_nxtermvars
| static

This global data structure is used to pass start parameters to NxTerm task and to assure that the NxTerm is successfully started.

Definition at line 110 of file cnxterm.cxx.

## ◆ g_playBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_playBitmap

Definition at line 72 of file nxwmglyphs.hxx.

## ◆ g_startWindowMqName

FAR const char * NxWM::g_startWindowMqName = CONFIG_NXWM_STARTWINDOW_MQNAME

The well-known name for the Start Window's message queue.

Definition at line 93 of file cstartwindow.hxx.

## ◆ g_stopBitmap

const struct NXWidgets::SRlePaletteBitmap NxWM::g_stopBitmap

Definition at line 73 of file nxwmglyphs.hxx.

## ◆ PAUSE_BITMAP_NCOLUMNS

NxWM::PAUSE_BITMAP_NCOLUMNS

Definition at line 381 of file glyph_mplayer_controls43x41.cxx.

## ◆ PAUSE_BITMAP_NROWS

NxWM::PAUSE_BITMAP_NROWS

Definition at line 381 of file glyph_mplayer_controls43x41.cxx.

## ◆ PLAY_BITMAP_NCOLUMNS

NxWM::PLAY_BITMAP_NCOLUMNS

Definition at line 353 of file glyph_mplayer_controls43x41.cxx.

## ◆ PLAY_BITMAP_NROWS

NxWM::PLAY_BITMAP_NROWS

Definition at line 353 of file glyph_mplayer_controls43x41.cxx.

## ◆ REWIND_BITMAPNCOLUMNS

NxWM::REWIND_BITMAPNCOLUMNS

Definition at line 367 of file glyph_mplayer_controls43x41.cxx.

## ◆ REWIND_BITMAPNROWS

NxWM::REWIND_BITMAPNROWS

Definition at line 367 of file glyph_mplayer_controls43x41.cxx.

The documentation for this struct was generated from the following files:

- glyph_calculator24x25.cxx
- cstartwindow.hxx
- nxwmglyphs.hxx
- chexcalculator.cxx
- cnxterm.cxx
- glyph_calculator47x49.cxx
- glyph_calibration24x21.cxx
- glyph_calibration48x42.cxx
- glyph_cmd25x22.cxx
- glyph_cmd49x43.cxx
- glyph_mediagrip60x30.cxx
- glyph_mediaplayer24x24.cxx
- glyph_mediaplayer44x50.cxx
- glyph_minimize21x21.cxx
- glyph_minimize42x42.cxx
- glyph_mplayer_controls32x32.cxx
- glyph_mplayer_controls43x41.cxx
- glyph_play24x24.cxx
- glyph_play48x48.cxx
- glyph_stop21x21.cxx
- glyph_stop42x42.cxx
- cstartwindow.cxx